<?php



class TblscormcpnodeMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblscormcpnodeMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblscormcpnodePeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblscormcpnodePeer::TABLE_NAME);
		$tMap->setPhpName('Tblscormcpnode');
		$tMap->setClassname('Tblscormcpnode');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CP_NODE_ID', 'CpNodeId', 'INTEGER', true, null);

		$tMap->addColumn('NODENAME', 'Nodename', 'VARCHAR', false, 50);

		$tMap->addColumn('SLM_ID', 'SlmId', 'INTEGER', false, null);

	} 
} 